Document of c-modernization-kit (funcman) 1.0.0

Loading...
Searching...
No Matches
Data Fields
funcman_object Struct Reference

関数ポインタキャッシュエントリ。 More...

`#include <funcman.h>`

Collaboration diagram for funcman_object:

## Data Fields
const char * | func_key
| この関数インスタンスの識別キー。
char | lib_name [FUNCMAN_NAME_MAX]
| 拡張子なしライブラリ名。[0]=='\0' = 未設定。
char | func_name [FUNCMAN_NAME_MAX]
| 関数シンボル名。[0]=='\0' = 未設定。
MODULE_HANDLE | handle
| キャッシュ済みハンドル (NULL = 未ロード)。
void * | func_ptr
| キャッシュ済み関数ポインタ (NULL = 未取得)。
int | resolved
| 解決済フラグ (0 = 未解決)。
int | padding
| パディング。
pthread_mutex_t | mutex
| ロード処理を保護する mutex (Linux)。

## Detailed Description

関数ポインタキャッシュエントリ。

ライブラリ名・関数名・ハンドル・関数ポインタおよび排他制御用ロックを管理します。
静的変数として定義する場合は NEW_FUNCMAN_OBJECT マクロで初期化してください。

Definition at line 66 of file funcman.h.

## Field Documentation

## ◆ func_key

const char* funcman_object::func_key

この関数インスタンスの識別キー。

Definition at line 68 of file funcman.h.

Referenced by funcman_info(), and funcman_init().

## ◆ lib_name

char funcman_object::lib_name[FUNCMAN_NAME_MAX]

拡張子なしライブラリ名。[0]=='\0' = 未設定。

Definition at line 69 of file funcman.h.

Referenced by _funcman_get_func(), funcman_info(), and funcman_init().

## ◆ func_name

char funcman_object::func_name[FUNCMAN_NAME_MAX]

関数シンボル名。[0]=='\0' = 未設定。

Definition at line 70 of file funcman.h.

Referenced by _funcman_get_func(), funcman_info(), and funcman_init().

## ◆ handle

MODULE_HANDLE funcman_object::handle

キャッシュ済みハンドル (NULL = 未ロード)。

Definition at line 71 of file funcman.h.

Referenced by _funcman_get_func(), funcman_dispose(), and funcman_info().

## ◆ func_ptr

void* funcman_object::func_ptr

キャッシュ済み関数ポインタ (NULL = 未取得)。

Definition at line 72 of file funcman.h.

Referenced by _funcman_get_func(), funcman_dispose(), and funcman_info().

## ◆ resolved

int funcman_object::resolved

解決済フラグ (0 = 未解決)。

Definition at line 73 of file funcman.h.

Referenced by _funcman_get_func(), funcman_info(), and funcman_is_declared_default().

## ◆ padding

int funcman_object::padding

パディング。

Definition at line 74 of file funcman.h.

## ◆ mutex

pthread_mutex_t funcman_object::mutex

ロード処理を保護する mutex (Linux)。

Definition at line 76 of file funcman.h.

Referenced by _funcman_get_func().

The documentation for this struct was generated from the following file:

- funcman/include/funcman.h